Update a custom circle expenditure Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v2/circles/{circle_uuid}/expenditures/{lifeStage_uuid}/custom/{expenditure_uuid}

Path parameters

  • circle_uuid string Required
  • lifeStage_uuid string Required
  • expenditure_uuid string Required
  • circle string Required

    The uuid of the circle.

  • lifeStage string Required

    The uuid of the parent Life Stage.

  • expenditure string Required

    The uuid of the expenditure.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v2/circles/{circle_uuid}/expenditures/{lifeStage_uuid}/custom/{expenditure_uuid}
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/circles/6ff8f7f6-1eb3-3525-be4a-3932c805afed/expenditures/6ff8f7f6-1eb3-3525-be4a-3932c805afed/custom/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}